%global pypi_name pluggy

# Turn the tests off when bootstrapping Python, because pytest requires pluggy
%bcond_with tests

Name:           python-pluggy
Version:        1.5.0
Release:        %mkrel 2
Summary:        plugin and hook calling mechanisms for python
Group:          Development/Python
License:        MIT
URL:            https://pypi.python.org/pypi/pluggy
Source0:        %{pypi_source}
BuildArch:	noarch
BuildRequires:  python3-devel
%if %{with tests}
BuildRequires:  python3dist(pytest)
%endif

%description
The plugin manager stripped of pytest specific details.

%package -n python3-%{pypi_name}
Summary:  The plugin manager stripped of pytest specific details
Group:    Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
The plugin manager stripped of pytest specific details.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pluggy

%if %{with tests}
%check
%pytest
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst LICENSE


%changelog
* Fri Feb 21 2025 neoclust <neoclust> 1.5.0-2.mga10
+ Revision: 2150397
- Rebuild against python 3.13

* Fri Jun 28 2024 papoteur <papoteur> 1.5.0-1.mga10
+ Revision: 2077715
- new version 1.5.0

* Wed Dec 13 2023 papoteur <papoteur> 1.3.0-3.mga10
+ Revision: 2017801
- rebuild for python 3.12

* Thu Dec 07 2023 wally <wally> 1.3.0-2.mga10
+ Revision: 2014961
- rebuild for py3.12

* Sun Nov 26 2023 wally <wally> 1.3.0-1.mga10
+ Revision: 2009889
- new version 1.3.0

* Thu Mar 24 2022 umeabot <umeabot> 1.0.0-3.mga9
+ Revision: 1824667
- Mageia 9 Mass Rebuild

* Sun Feb 06 2022 wally <wally> 1.0.0-2.mga9
+ Revision: 1772094
- rebuild for python3.10 without tests

* Sun Aug 29 2021 wally <wally> 1.0.0-1.mga9
+ Revision: 1743353
- new version 1.0.0

* Sun Mar 14 2021 wally <wally> 0.13.1-2.mga9
+ Revision: 1702566
- rebuild for python 3.9
- make pkg noarch

* Wed Mar 18 2020 akien <akien> 0.13.1-1.mga8
+ Revision: 1557637
- Version 0.13.1

* Sun Feb 16 2020 umeabot <umeabot> 0.12.0-4.mga8
+ Revision: 1534942
- Mageia 8 Mass Rebuild

* Mon Oct 07 2019 tv <tv> 0.12.0-3.mga8
+ Revision: 1450247
- Use importlib.metadata from stdlib on Python 3.8

* Thu Sep 05 2019 wally <wally> 0.12.0-2.mga8
+ Revision: 1437588
- rebuild for python3.8
- drop python2 support from .spec

* Sat Aug 03 2019 kekepower <kekepower> 0.12.0-1.mga8
+ Revision: 1427179
- Update to version 0.12.0
- Drop Python 2 support

* Fri Apr 19 2019 kekepower <kekepower> 0.9.0-1.mga7
+ Revision: 1393430
- Update to version 0.9.0

* Sat Jan 05 2019 wally <wally> 0.8.0-3.mga7
+ Revision: 1349634
- rebuild for python3.7 without tests

* Tue Jan 01 2019 wally <wally> 0.8.0-2.mga7
+ Revision: 1347999
- build with tests

* Tue Jan 01 2019 wally <wally> 0.8.0-1.mga7
+ Revision: 1347965
- build without tests
+ luigiwalser <luigiwalser>
- 0.8.0
- update source URL

* Thu Sep 20 2018 umeabot <umeabot> 0.6.0-3.mga7
+ Revision: 1289673
- Mageia 7 Mass Rebuild

* Sat Apr 21 2018 kekepower <kekepower> 0.6.0-2.mga7
+ Revision: 1220632
- BR python-funcsigs
- Update BR syntax
- Use python_provide

* Tue Jan 02 2018 guillomovitch <guillomovitch> 0.6.0-1.mga7
+ Revision: 1189337
- new version 0.6.0

* Sat Aug 05 2017 pterjan <pterjan> 0.3.1-6.mga7
+ Revision: 1135546
- Rebuild for python 3.6

* Sun May 15 2016 ngompa <ngompa> 0.3.1-5.mga6
+ Revision: 1015687
- imported package python-pluggy


* Sat May 14 2016 Neal Gompa <ngompa13@gmail.com> - 0.3.1-5
- Port to Mageia

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Nov 16 2015 Matthias Runge <mrunge@redhat.com> - 0.3.1-3
- make tests pass again on Python 3.5

* Tue Nov 10 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Changes/python3.5

* Mon Sep 21 2015 Matthias Runge <mrunge@redhat.com> - 0.3.1-1
- update to 0.3.1

* Tue Aug 25 2015 Matthias Runge <mrunge@redhat.com> - 0.3.0-3
- fix python3 builds

* Fri Aug 21 2015 Matthias Runge <mrunge@redhat.com> - 0.3.0-2
- add python2_sitelib macros and BR to setuptools (rhbz#1254484)

* Fri Aug 14 2015 Matthias Runge <mrunge@redhat.com> - 0.3.0-1
- version based on the inital proposal of Adam Young
